batchApplyNoteOperation
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/realtime/batchedOperations/batchApplyNoteOperation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"clientSequence": 123,
"expectedVersion": 123,
"meetingId": "<string>",
"operation": {
"position": 123,
"type": "insert",
"content": "<string>",
"length": 123
}
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/realtime/batchedOperations/batchApplyNoteOperation"
payload = { "args": {
"clientSequence": 123,
"expectedVersion": 123,
"meetingId": "<string>",
"operation": {
"position": 123,
"type": "insert",
"content": "<string>",
"length": 123
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
args: {
clientSequence: 123,
expectedVersion: 123,
meetingId: '<string>',
operation: {position: 123, type: 'insert', content: '<string>', length: 123}
}
})
};
fetch('https://connvo-dev.convex.cloud/api/run/realtime/batchedOperations/batchApplyNoteOperation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorMessage": "<string>",
"errorData": {},
"value": {
"batchSize": 123,
"queued": true,
"serverSequence": 123
}
}{}{}Notes
batchApplyNoteOperation
Batched note operation processing with operational transform
POST
/
api
/
run
/
realtime
/
batchedOperations
/
batchApplyNoteOperation
batchApplyNoteOperation
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I